# -------------------------------------------------------------------------------------
# flo::Template::Loop
# -------------------------------------------------------------------------------------
#
#    Author   : Jean-Michel Hiver                                (c) MKDoc Holding ltd.
#
# -------------------------------------------------------------------------------------
package flo::Template::Loop;
use lib::Template::Loop;
use lib::Exception;
use lib::Template;
use strict;
use 5.6.0;
use utf8;

our @ISA = qw /lib::Template::Loop/;


##
# $obj->stack_hash ($hash1, $hash2);
# ----------------------------------
#   Creates a new hash which is hash2 stacked onto hash1
##
sub stack_hash
{
    my $self = shift;
    my $result = { %{shift()} };
    my $hash   = shift;
    foreach (keys %{$hash}) { $result->{$_} = $hash->{$_} }
    return $result;
}


