# linkifier bug test...
use lib qw /../;
use flo::editor::Html;
use flo::Editor;
use MKDoc;
use strict;
use Data::Dumper;

eval {
  MKDoc::init ('cgi.mkdoc');
    
    my $editor = new flo::Editor;
    my $html = bless { data => html_data() }, 'flo::editor::Html';

    + flo::Editor::_SET_LINKS_ ( [] );
    die '[ MKDoc::XML::XHTML::Linkifier ]'
        unless ($html->html =~ /em> <strong>bar/);
};

if (defined $@ and ref $@) { $@ = "\n" . Dumper ($@) . "\n" }
die "FAILED: $@" if (defined $@ and $@);


sub html_data
{
    return <<'END';
<p><em>foo</em> <strong>bar</strong></p>
END
}


1;
